%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-horizon
Version:        12.4.0
Release:        1%{?dist}
Summary:        Puppet module for OpenStack Horizon
License:        ASL 2.0

URL:            https://launchpad.net/puppet-horizon

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

#patches_ignore=DROP-IN-RPM
#patches_base=12.4.0
Patch0001: 0001-Add-a-new-parameter-named-cache_server_url.patch
Patch0002: 0002-Fix-redirect-to-https-bug-and-testing.patch
Patch0003: 0003-Add-wsgi_processes-and-wsgi_threads-to-horizon-init.patch
Patch0004: 0004-Update-Gemfile-to-pull-spec_helper-from-stable-queen.patch
Patch0005: 0005-Add-manage_memcache_package-parameter.patch

BuildArch:      noarch

Requires:       puppet-apache
Requires:       puppet-stdlib
Requires:       puppet-memcached
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Horizon

%prep
%setup -q -n openstack-horizon-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/horizon/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/horizon/



%files
%{_datadir}/openstack-puppet/modules/horizon/


%changelog
* Tue Oct 16 2018 Steve Linabery <slinaber@redhat.com> 12.4.0-1
- Update to 12.4.0
- Add manage_memcache_package parameter
- Update Gemfile to pull spec_helper from stable/queens
- Add wsgi_processes and wsgi_threads to horizon init
- Fix redirect to https bug and testing
- Add a new parameter named cache_server_url

* Wed Feb 21 2018 RDO <dev@lists.rdoproject.org> 12.3.0-1
- Update to 12.3.0



